cURL
curl --request POST \ --url https://api.moralis-streams.com/streams/solana/{chainId}/block/{blockNumber} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "tag": "<string>", "allAddresses": true, "addresses": [ "<string>" ], "programIds": [ "<string>" ], "mintAddresses": [ "<string>" ] } '
{ "block": { "previousBlockHash": "<string>", "parentSlot": "<string>", "blockTime": 123, "blockHeight": "<string>", "blockHash": "<string>", "slot": "<string>" }, "chainId": "<string>", "network": "mainnet", "retries": 123, "streamId": "<string>", "tag": "<string>", "transactions": [ { "postTokenBalances": [ "<unknown>" ], "preTokenBalances": [ "<unknown>" ], "innerInstructions": [ "<unknown>" ], "instructions": [ { "accounts": [ "<string>" ], "data": "<string>", "programId": "<string>" } ], "accountKeys": [ "<string>" ], "err": null, "fee": "<string>", "blockTime": 123, "slot": "<string>", "signature": "<string>" } ], "confirmed": true }
Documentation IndexFetch the complete documentation index at: https://docs.moralis.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.moralis.com/llms.txt
Use this file to discover all available pages before exploring further.
A user-provided tag that will be send along the webhook
Include events for all addresses
Solana addresses to filter by
Solana program IDs to filter by
Solana token mint addresses to filter by
Ok
Show child attributes
mainnet
devnet